GETENT(1)

NOM
getent - Récupérer des entrées depuis les bibliothèques NSS

SYNOPSIS
getent [option]... database key...

DESCRIPTION
La commande getent affiche les entrées des bases de données prises en charge par les bibliothèques du Name Service Switch (NSS), qui sont configurées dans /etc/nsswitch.conf. Si un ou plusieurs arguments clé sont fournis, alors seules les entrées correspondantes aux clés fournies seront affichées. Sinon, si aucune clé n'est fournie, toutes les entrées seront affichées (sauf si la base de données ne permet pas l'énumération).

La base_de_données peut être n'importe laquelle des suivantes, prises en charge par la bibliothèque C de GNU.

    ahosts
        Si aucune clé n'est fournie, utiliser sethostent(3), gethostent(3) et endhostent(3) pour énumérer la base de données d'hôtes. C'est identique à l'utilisation de hosts. Si un ou plusieurs arguments clé sont fournis, passer toutes les clés en enfilade à getaddrinfo(3) avec la famille d'adresses AF_UNSPEC, en énumérant chaque structure d'adresse de socket renvoyée.

    ahostsv4
        Comme ahosts, mais en utilisant la famille d'adresses AF_INET.

    ahostsv6
        Comme ahosts, mais en utilisant la famille d'adresses AF_INET6. L'appel à getaddrinfo(3) contient dans ce cas l'attribut AI_V4MAPPED.

    aliases
        Si aucune clé n'est fournie, utiliser setaliasent(3), getaliasent(3) et endaliasent(3) pour énumérer la base de données d'alias. Si un ou plusieurs arguments clé sont fournis, passer toutes les clés en enfilade à getaliasbyname(3) et afficher le résultat.

    ethers
        Si un ou plusieurs arguments clé sont fournis, passer toutes les clés en enfilade à ether_aton(3) et ether_hostton(3) jusqu'à obtention d'un résultat et l'afficher. L'énumération n'est pas possible avec ethers, donc une clé doit être fournie.

    group
        Si aucune clé n'est fournie, utiliser setgrent(3), getgrent(3) et endgrent(3) pour énumérer la base de données de groupe. Si un ou plusieurs arguments clé sont fournis, passer toutes les clés numériques à getgrgid(3) et toutes les clés non numériques à getgrnam(3) et afficher le résultat.

    gshadow
        Si aucune clé n'est fournie, utiliser setsgent(3), getsgent(3) et endsgent(3) pour énumérer la base de données gshadow. Si un ou plusieurs arguments clé sont fournis, passer toutes les clés en enfilade à getsgnam(3) et afficher le résultat.

    hosts
        Si aucune clé n'est fournie, utiliser sethostent(3), gethostent(3) et endhostent(3) pour énumérer la base de données d'hôtes. Si un ou plusieurs arguments clé sont fournis, passer toutes les clés à gethostbyaddr(3) ou gethostbyname2(3), suivant si un appel à inet_pton(3) indique que la clé est une adresse IPv6, IPv4 ou pas, et afficher le résultat.

    initgroups
        Si un ou plusieurs arguments clé sont fournis, passer toutes les clés en enfilade à getgrouplist(3) et afficher le résultat. L'énumération n'est pas possible avec initgroups, donc une clé doit être fournie.

    netgroup
        Si une clé est fournie, passer la clé à setnetgrent(3) et, en utilisant getnetgrent(3), afficher le triplet chaîne résultant (nom_d_hôte, identifiant, nom_de_domaine). Sinon, trois clés peuvent être fournies, interprétées comme nom_d_hôte, identifiant et nom_de_domaine pour correspondre à un nom de groupe réseau à l'aide de innetgr(3). L'énumération n'est pas possible avec netgroup, donc soit une, soit trois clés doivent être fournies.

    networks
        Si aucune clé n'est fournie, utiliser setnetent(3), getnetent(3) et endnetent(3) pour énumérer la base de données de réseaux. Si un ou plusieurs arguments clé sont fournis, passer toutes les clés numériques à getnetbyaddr(3) et toutes les clés non numériques à getnetbyname(3) et afficher le résultat.

    passwd
        Si aucune clé n'est fournie, utiliser setpwent(3), getpwent(3) et endpwent(3) pour énumérer la base de données de mots de passe. Si un ou plusieurs arguments clé sont fournis, passer toutes les clés numériques à getpwuid(3) et toutes les clés non numériques à getpwnam(3) et afficher le résultat.

    protocols
        Si aucune clé n'est fournie, utiliser setprotoent(3), getprotoent(3) et endprotoent(3) pour énumérer la base de données de protocoles. Si un ou plusieurs arguments clé sont fournis, passer toutes les clés numériques à getprotobynumber(3) et toutes les clés non numériques à getprotobyname(3) et afficher le résultat.

    rpc Si aucune clé n'est fournie, utiliser setrpcent(3), getrpcent(3) et endrpcent(3) pour énumérer la base de données RPC. Si un ou plusieurs arguments clé sont fournis, passer toutes les clés numériques à getrpcbynumber(3) et toutes les clés non numériques à getrpcbyname(3) et afficher le résultat.

    services
        Si aucune clé n'est fournie, utiliser setservent(3), getservent(3) et endservent(3) pour énumérer la base de données de services. Si un ou plusieurs arguments clé sont fournis, passer toutes les clés numériques à getservbynumber(3) et toutes les clés non numériques à getservbyname(3) et afficher le résultat.

    shadow
        Si aucune clé n'est fournie, utiliser setspent(3), getspent(3) et endspent(3) pour énumérer la base de données de mots de passe cachés. Si un ou plusieurs arguments clé sont fournis, passer toutes les clés en enfilade à getspnam(3) et afficher le résultat.

OPTIONS

-s service, --service service
    Outrepasser toutes les bases de données avec le service spécifié (depuis glibc 2.2.5.).

-s base_de_données:service, --service base_de_données:service
    N'outrepasser que les bases de données spécifiées avec le service spécifié. L'option peut être utilisée plusieurs fois mais seul le dernier service de chaque base de données sera utilisé (depuis glibc 2.4.).

-i, --no-idn
    Désactiver l'encodage de l'IDN dans les recherches de ahosts/getaddrinfo(3) (depuis glibc-2.13.).

-?, --help
    Afficher un résumé de l'utilisation et quitter.

--usage
    Afficher une brève description sur l'utilisation et quitter.

-V, --version
    Afficher le numéro de version, la licence, le défaut de garantie de getent.

CODE DE RETOUR
Un des codes de retour suivants peut être renvoyé par getent.

    0   Commande terminée avec succès.

    1   Arguments manquants ou base_de_données inconnue.

    2   Au moins une des clés fournies n'a pas été trouvée dans la base_de_données.

    3   Énumération impossible avec cette base_de_données.

VOIR AUSSI
nsswitch.conf(5)

COLOPHON
Cette page fait partie de la publication 5.13 du projet man-pages Linux. Une description du projet et des instructions pour signaler des anomalies et la dernière version de cette page peuvent être trouvées à l'adresse https://www.kernel.org/doc/man-pages/.

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.